module Strutta
  # Rounds belong to a Strutta::Games object
  # Instance methods found in Strutta::APIObject
  class Rounds < APIObject
    # Initializes the Strutta::Rounds object
    #
    # @param id [Integer, nil] Entry id
    # @param game [Strutta::Games] Master Strutta::Games object
    # @return [Strutta::Rounds] instantiated Strutta::Rounds object
    def initialize(id = nil, game)
      @id = id
      @game = game
      @root_path = "rounds/#{@id}"
      @no_id_error = Errors::ROUND_ID_REQUIRED
    end
  end
end
